ST_MakeBox2D
Prev | 8.17. Bounding Box Functions | Next

## Name

ST_MakeBox2D — Creates a BOX2D defined by two 2D point geometries.

## Synopsis

`box2d ST_MakeBox2D(`geometry pointLowLeft, geometry pointUpRight`)`;

## Description

Creates a box2d defined by two Point geometries. This is useful for doing range queries.

## Examples

    --Return all features that fall reside or partly reside in a US national atlas coordinate bounding box
    --It is assumed here that the geometries are stored with SRID = 2163 (US National atlas equal area)
    SELECT feature_id, feature_name, geom
    FROM features
    WHERE geom && ST_SetSRID(ST_MakeBox2D(ST_Point(-989502.1875, 528439.5625),
    	ST_Point(-987121.375 ,529933.1875)),2163)

## See Also

ST_Point, ST_SetSRID, ST_SRID

Prev | Up | Next
ST_3DExtent | Home | ST_3DMakeBox